div#datrec {
	overflow:hidden;
	
}

div#datrec div#constrainer{
	width: 100%;
	height: 100%;
	background-color: #FDD;
	margin:0;
	padding:5px;
	overflow-x: auto;		
}

div#datrec table {
	/*background-color: #3F0;*/
	margin:0;
	width: 100%;
	height: 100%;
	overflow:hidden;
	display: inline-block;	
}

div#datrec table thead {
	background-color: #CCC;
	height: 20px;
}

div#datrec table tbody {
	width: 100%;
	height:  calc( 100% - 50px );
	overflow-x:hidden;
	overflow-y:scroll;	
	display: inline-block;
}

table th#ahh{
	width: 50px;
}
div#datrec table th, 
div#datrec table td {
	display:table-cell;
	border: 1px solid #bbb;
	padding: 5px 7px;
	width: 86px;
}

div#datrec table th#ahh + th + th , 
div#datrec table th#ahh + th + th + th + th,
div#datrec table th#ahb + td + td,
div#datrec table th#ahb + td + td + td + td{
	width: 250px !important;
}



/**************************************************/


div#notialert {
	width: 100%;
	background-color: #FDD;
	margin:0;
	padding:5px;
	overflow:hidden;
}

div#notialert div#constrainer{
	margin:0;
	width: 100%;
	height: 100%;
	display: inline-block;
	overflow:hidden;	
}

div#notialert table {
	/*background-color: #3F0;*/
	margin:0;
	width: 100%;
	height: 100%;
	overflow:hidden;
	display: inline-block;	
}

div#notialert table thead {
	background-color: #CCC;
	height: 20px;
	
}

div#notialert table thead th {
	text-align: center;
}

div#notialert table tbody {
	height: calc( 100% - 30px );
	cursor:pointer;
}

div#notialert table th#ah , 
div#notialert table td#ah {
	min-width: 60px !important;
}

div#notialert table th#ah + th , 
div#notialert table td#ah + td{
	min-width: 125px !important;
}

div#notialert table th#ah + th + th , 
div#notialert table td#ah + td + td {
	min-width: 70px !important;
}

/******* G E N E R A L ****************************/

#constrainer table{
	border-collapse: collapse;
}

#constrainer table tbody {
	overflow-y: scroll;
	overflow-x: hidden;
	display: block;
}

#constrainer table thead{
	display: table-row;
}

#constrainer table thead tr{
	border-bottom: 3px groove #006 !important;
}

#constrainer table tr.npatDIV:nth-child(even) {
	background-color: #FFF;
}

#constrainer table tr.npatDIV:nth-child(odd) {
	background: #DFDFDF;
}

#constrainer table tr.npatDIV:hover {
    background: #EAEAEA;
}

#constrainer table tr.updsel {
	border-left: #F00 8px solid;
}

#constrainer table tr.patDIV:nth-child(even) {
	background-color: #FFCACA;
}

#constrainer table tr.patDIV:nth-child(odd) {
	background: #FFE1E1;
}

#constrainer table tr.patDIV:hover {
    background: #FFD2D2;
}

#constrainer table th span.speeding {
	font-size: 28px;
    color: red;
}

#constrainer table th span.stop {
	font-size: 28px;
    color: yellow;
}
